
!Statsd methodsFor: '*statsd-core-gemstone' stamp: 'PaulDeBruicker 02/20/2013 14:24'!
hostAddress
	"^ NetNameResolver addressForName: self host"

	^GsSocket getHostAddressByName: GsSocket getLocalHostName! !

!Statsd methodsFor: '*statsd-core-gemstone' stamp: 'PaulDeBruicker 02/20/2013 14:25'!
initializeUDPSocket
	self socket: self newUdpSocket! !

!Statsd methodsFor: '*statsd-core-gemstone' stamp: 'PaulDeBruicker 02/20/2013 14:31'!
mutex
	^self class mutex! !

!Statsd methodsFor: '*statsd-core-gemstone' stamp: 'PaulDeBruicker 02/20/2013 14:24'!
newUdpSocket
	^self socketClass newUdp! !

!Statsd methodsFor: '*statsd-core-gemstone' stamp: 'PaulDeBruicker 02/20/2013 14:24'!
send: stringToSend
"from Goran Krampe's  SimpleLog may be more reliable than using the primitive.  "
	| sock |
	sock := self newUdpSocket.
	sock sendUdp: stringToSend flags: 0 toHost: self host port: self port.
	sock close! !

!Statsd methodsFor: '*statsd-core-gemstone' stamp: 'PaulDeBruicker 02/20/2013 14:57'!
send: aString withSampling: aFrequency
	| send stringToSend |
	send := aFrequency < 1
		ifTrue: [ 
			self nextRandomNumber <= aFrequency
				ifTrue: [ 
					stringToSend := aString , '|@' , aFrequency asString.
					true ]
				ifFalse: [ false ] ]
		ifFalse: [ 
			stringToSend := aString.
			true ].
	send
		ifTrue: [ self send: stringToSend ]! !

!Statsd methodsFor: '*statsd-core-gemstone' stamp: 'PaulDeBruicker 02/20/2013 14:57'!
sendUDPPrimitive: stringToSend
"if you use this you're probably going to get 2364 errors because there isn't a mutex right now"
	self socket sendUdp: stringToSend flags: 0 toHost: self host port: self port.! !

!Statsd methodsFor: '*statsd-core-gemstone' stamp: 'PaulDeBruicker 02/20/2013 14:25'!
socketClass
	^GsSocket! !
